Description

Rationale:

Using the native sqlite approach (e.g. in [[QgsCoordinateReferenceSystem]]) requires including redundant source code withing our code

base since Qt already provides an sqlite access layer. In addition in comparison to [[QtSql]], the sqlite native code is verbose and

inconsistent with the general Qt4 based approach we take in our coding. Lastly, it should be noted that at some stage in the future we may

wish to use other database backends to store application data. For example, enterprise users may wish to store these data in a

centralised [[PostgreSQL]] database. Using the [[QtSql]] module would make moving to such an environment trivial.

I am attaching a first stab at moving sqlite code to [[QtSql]]. Note this code is not production ready and coverage through the code base is

not yet complete. As such this patch has not yet been applied to trunk until it is ready for prime time.

History

#1 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-01-26 04:22 PM - Alister Hood

- Pull Request or Patch supplied set to No

Shouldn't target version on this be at least 1.8, probably 2.0?

#3 - 2012-01-26 04:23 PM - Alister Hood

- Target version changed from Version 1.7.4 to Version 2.0.0

Sorry, 1.8 has already branched, hasn't it?

#4 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2015-10-22 04:15 AM - Sandro Santilli

Is this now implemented ? I'm asking as my "make check" fails due to not finding QtSql...

#6 - 2015-10-22 06:12 AM - Jürgen Fischer

Sandro Santilli wrote:
Is this now implemented ? I'm asking as my "make check" fails due to not finding QtSql...

No, but the auth system and in turn it's tests are using QtSql.   Install python-qt4-sql (and possibly libqca2-plugin-ossl is also missing on your machine).

#7 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

Files

qgis_qtsqlite_patch_v1.diff 21.6 KB 2009-10-11 Tim Sutton
